### Property

# Ide Context:workdir

#### Declaration

    property workdir: Gio.File [ read, write ]

#### Description

The “workdir” property is the best guess at the working directory for the context. This may be discovered using a common parent if multiple files are opened without a project.

Type: | `GFile`
Available since: | 3.32

Setter method | `ide_context_set_workdir()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no